Subject: bug#20791: closed (Re: bug#20791: GuixSD: cryptsetup luksFormat hangs when udevd is running)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jun 2015 17:34:02 +0000

Your bug report

#20791: GuixSD: cryptsetup luksFormat hangs when udevd is running

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20791: GuixSD: cryptsetup luksFormat hangs when udevd is running
From: [email-masked] (Ludovic Courtès)
To: Benz Schenk <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Jun 2015 19:33:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Benz Schenk <[email-masked]> skribis:

> Setting up luks encrypted partitions with cryptsetup doesn't work when udevd is running.
>
> cryptsetup luksFormat got stuck waiting on some semaphore to turn to zero
>
> According to http://www.saout.de/pipermail/dm-crypt/2013-November/003619.html this is a udev issue, so i killed udevd and after that it worked
>
> I assume it's some configuration issue with udev, but I don't really know enough about this stuff to pinpoint where exactly the problem lies

Indeed, we were missing the udev rules for device-mapper.  Commit
e1ad6bf fixes that (tested in a VM as produced as by ‘guix system vm
gnu/system/install.scm’.)

If you have a working Guix installation, you can try rebuilding the
image by yourself from a checkout of Guix master, with something like:

  guix system disk-image --image-size=850MiB gnu/system/install.scm

Alternately, as a workaround, you could to the installation in two
steps:

  1. Install without encrypted devices.
  2. Boot the installed system and run ‘cryptsetup luksFormat’.
  3. Run ‘guix system reconfigure’ with the configuration that you want.

Thank you!

Ludo’.

Subject: GuixSD: cryptsetup luksFormat hangs when udevd is running
From: Benz Schenk <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jun 2015 00:52:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Setting up luks encrypted partitions with cryptsetup doesn't work when udevd is running.

cryptsetup luksFormat got stuck waiting on some semaphore to turn to zero

According to http://www.saout.de/pipermail/dm-crypt/2013-November/003619.html this is a udev issue, so i killed udevd and after that it worked

I assume it's some configuration issue with udev, but I don't really know enough about this stuff to pinpoint where exactly the problem lies

I'm using the GuixSD 0.8.2 image, if you need any more information about my setup, feel free to ask

Benz